5.11. Using Concurrent Haskell
Prev | Chapter 5. Using GHC | Next

## 5.11. Using Concurrent Haskell

GHC supports Concurrent Haskell by default, without requiring a special option or libraries compiled in a certain way. To get access to the support libraries for Concurrent Haskell, just import `Control.Concurrent`. More information on Concurrent Haskell is provided in the documentation for that module.

The following RTS option(s) affect the behaviour of Concurrent Haskell programs:

`-C`s``

  Sets the context switch interval to `s` seconds. A context switch will occur at the next heap block allocation after the timer expires (a heap block allocation occurs every 4k of allocation). With `-C0` or `-C`, context switches will occur as often as possible (at every heap block allocation). By default, context switches occur every 20ms.

Prev | Up | Next
5.10. Options related to a particular phase | Home | 5.12. Using SMP parallelism